<!DOCTYPE html>
<html lang="es-ES">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<title>Nota de Venta</title>
<link href="../../maincss.css" rel="stylesheet" type="text/css" />
<link href="../../printcss.css" rel="stylesheet" type="text/css" media="print" />

</head>
<?php
include "../../conn.php";
include "../../class.nroenletraver2.php";
include "../../general.php";

//index.php?pkySalesNote=7&showHeader=0&printAccountEntry=1&user=Luigi
$rep=$_GET["rep"];
$tipo=$_GET["tipo"];

$cod_venta = $_GET["pkySalesNote"];
$cabecera = $_GET["showHeader"]; //0=sin cabecera, 1=con cabecera
//$muestra_precio = $_GET["showPrice"];
$muestra_asiento = $_GET["printAccountEntry"];
//$muestra_asiento = 1;//falta
//$mostrar_asiento_cc = $_GET["showCC"];
$usuario = $_GET["user"];

if($rep == 1) { $muestra_cc = 1; }
if($rep == 2) { $muestra_cc = 0; }


if($cabecera == ''){ $cabecera = 1; } 
?>
<body>

<?php

// Inicio impresion Nota de Venta

$result = mysqli_query($link, "select a.pkySalesNote as codigo_orden, a.fldDate as fecha, 
a.fldNumber as numero_doc, a.codOrderNote as cod_pedido, a.codSeller as cod_vendedor, 
case when b.fldMiddleName is NULL then concat(b.fldLastName,', ',b.fldFirstName) else concat(b.fldLastName,' ',b.fldMiddleName,', ',b.fldFirstName) end as vendedor, 
case when b.fldMiddleName is NULL then concat(b.fldFirstName,' ',b.fldLastName) else concat(b.fldFirstName,' ',b.fldLastName,' ',b.fldMiddleName) end as vendedor_reves, 
c.fldName as cliente, c.fldNIT as nit, 
a.codDeliveryAddress as cod_dir, 
a.codFixedContactPhone as cod_tel, 
a.codMovilContactPhone as cod_movil, 
f.fldName as almacen, g.fldName as local_venta, 
a.codCurrency as cod_moneda, h.fldName as moneda, 
i.pkyExchangeRate as cod_tc, 
concat(i.fldDate,' - ',i.fldTime) as fecha_tc, 
a.fldGrossTotal as total_bruto, 
a.fldTotalDiscountPercent as total_desc_porciento, 
a.fldGlobalDiscountPercent as total_desc_porciento_global, 
a.fldNetTotal as total_neto, a.txtDescription as glosa, 
a.sysEnabled as enabled, a.sysAuthorized as authorized, 
a.codType as cod_tipo, j.fldName as tipo_nota,  
a.codAccountEntry as cod_asiento, a.codAccountReceivable as cod_cxc, 
a.codItemMovement as cod_mov_merc, a.codInvoice as cod_fac, 
a.codPettyCashMovement as cod_mov_caja, a.codCheck as cod_cheque, a.codBankMovement as cod_mov_banco, k.fldName as usuario_reg, a.sysContext as cod_contexto, s.fldName as contexto 
from slsSalesNote a, agnPerson b, agnCompany c, invWarehouse f, slsSalesPlace g, actCurrency h, actExchangeRate i, slsSalesNoteType j, accGroup k, srvContext s
where
a.codSeller = b.pkyPerson and
a.codClient = c.pkyCompany and 
a.codWarehouse = f.pkyWarehouse and
a.codSalesPlace = g.pkySalesPlace and
a.codCurrency = h.pkyCurrency and
a.codExchangeRate = i.pkyExchangeRate and 
a.codType = j.pkySalesNoteType and 
a.sysAuthorizationGroup = k.pkyGroup and 
a.sysContext = s.pkyContext and 
a.pkySalesNote = '$cod_venta' ");
	while ($row = mysqli_fetch_array($result)) {
		$codigo_orden = $row['codigo_orden'];
		$fecha_orden = $row['fecha'];
		$numero_doc = $row['numero_doc'];
		$vendedor = $row['vendedor'];
		$vendedor_reves = $row['vendedor_reves'];
		$cliente = $row['cliente'];
		$nit = $row['nit'];
		$cod_dir = $row['cod_dir'];
		$cod_tel = $row['cod_tel'];
		$cod_movil = $row['cod_movil'];
		$almacen = $row['almacen'];
		$local_venta = $row['local_venta'];
		$cod_moneda = $row['cod_moneda'];
		$moneda = $row['moneda'];
		$cod_tc = $row['cod_tc'];
		$fecha_tc = $row['fecha_tc'];
		$total_bruto = $row['total_bruto'];
		$total_desc_porciento = $row['total_desc_porciento'];
		$total_desc_porciento_global = $row['total_desc_porciento_global'];
		$total_neto = $row['total_neto'];
		$glosa = $row['glosa'];
		$glosa = nl2br($glosa);//quita salto de linea 
		$glosa = str_replace('\n','<br />',$glosa);//reemplaza para salto de linea
		$usuario_reg = $row['usuario_reg'];
		$enabled = $row['enabled'];
		$authorized = $row['authorized'];
		$cod_tipo = $row['cod_tipo'];
		$tipo_nota = $row['tipo_nota']; 
		$estado = $row['estado'];
		$cod_asiento = $row['cod_asiento'];
		$cod_cxc = $row['cod_cxc'];
		$cod_mov_merc = $row['cod_mov_merc'];
		$cod_pedido = $row['cod_pedido'];
		$cod_factura = $row['cod_fac'];
		$cod_mov_caja = $row['cod_mov_caja'];
		$cod_cheque = $row['cod_cheque'];
		$cod_mov_banco = $row['cod_mov_banco'];
		$cod_vendedor = $row['cod_vendedor'];
		$cod_contexto = $row['cod_contexto'];
		$contexto = $row['contexto'];
	}
	mysqli_free_result($result);
	
$resultdir = mysqli_query($link, "select a.fldAddress as direccion, b.fldName as tipo_dir
from
agnCompanyAddress a, agnAddressType b
where
a.pkyCompanyAddress = '$cod_dir' and 
a.codType = b.pkyAddressType;");
while ($row = mysqli_fetch_array($resultdir)) {
	$direccion = $row['direccion'];
	$tipo_dir = $row['tipo_dir'];
}
mysqli_free_result($resultdir);

$resulttel = mysqli_query($link, "select a.fldPhone as telefono, b.fldName as tipo_tel
from
agnCompanyPhone a, agnPhoneType b
where
a.pkyCompanyPhone = '$cod_tel' and 
a.codType = b.pkyPhoneType;");
while ($row = mysqli_fetch_array($resulttel)) {
	$telef = $row['telefono'];
	$tipo_tel = $row['tipo_tel'];
}
mysqli_free_result($resulttel);

$resultmov = mysqli_query($link, "select a.fldPhone as telefono, b.fldName as tipo_tel
from
agnCompanyPhone a, agnPhoneType b
where
a.pkyCompanyPhone = '$cod_movil' and 
a.codType = b.pkyPhoneType;");
while ($row = mysqli_fetch_array($resultmov)) {
	$celu = $row['telefono'];
	$tipo_cel = $row['tipo_tel'];
}
mysqli_free_result($resultmov);

$resulttc = mysqli_query($link, "select pkyExchangeRate as cod_tc, fldDate as fecha, fldTime as hora
from
actExchangeRate
where
pkyExchangeRate = '$cod_tc';");
while ($row = mysqli_fetch_array($resulttc)) {
	$tc_fecha = $row['fecha'];
	$tc_hora = $row['hora'];
}
mysqli_free_result($resulttc);

$resulttcdet = mysqli_query($link, "select a.pkyExchangeRateDetail as cod_tc_det, a.codBaseCurrency as cod_mon_target, b.fldName as mon_target, b.txtDescription as nom_mon_target, a.codTargetCurrency as cod_mon_base, c.fldName as mon_base, c.txtDescription as nom_mon_base, a.fldRate as tasa
from
actExchangeRateDetail a, actCurrency b, actCurrency c
where
a.codExchangeRate = '$cod_tc' and 
a.codBaseCurrency = '$cod_moneda_principal' and 
a.codBaseCurrency = b.pkyCurrency and 
a.codTargetCurrency = c.pkyCurrency 
order by cod_mon_target;");
$ma_tc = array();
$m = 1;
while ($row = mysqli_fetch_array($resulttcdet)) {
	$ma_tc [$m][1] = $row['mon_base'];
	$ma_tc [$m][2] = $row['mon_target'];
	$ma_tc [$m][3] = $row['tasa'];
	$m++;
}
mysqli_free_result($resulttcdet);
$fin_m = $m - 1;
	
$result2 = mysqli_query($link, "select a.codItem as cod_item, b.fldName as nombre, a.fldQuantity as cantidad, a.fldPrice as precio, a.fldDiscount as descuento, a.fldTotalNetPrice as total, b.txtDescription as descrip, b.fldFactoryKey as cod_fabrica, b.codBrand as cod_marca, b.codBrandModel as cod_modelo, b.codMinimumStorageUnit as u_menor
from
slsSalesNoteDetail a, invItem b
where
a.codItem = b.pkyItem and
a.codSalesNote = '$codigo_orden' 
order by nombre");

//datos de cheque segun cod_cheque
$resultcheque = mysqli_query($link, "select fldNumber as nro_cheque, fldName as nom_giro_cheque, fldForeignAccount as banco_cta
from tryCheck 
where
pkyCheck = '$cod_cheque';");
while ($row = mysqli_fetch_array($resultcheque)) {
	$nro_cheque = $row['nro_cheque'];
	$nom_giro_cheque = $row['nom_giro_cheque'];
	$banco_cta = $row['banco_cta'];
}
mysqli_free_result($resultcheque);

//datos del banco y cta segun el cheque
$resultbanco = mysqli_query($link, "select b.fldName as banco
from 
tryCheck a, tryBank b
where
a.codBank = b.pkyBank and 
a.pkyCheck = '$cod_cheque';");
while ($row = mysqli_fetch_array($resultbanco)) {
	$nom_banco = $row['banco'];
	//$banco_cta = $row['nro_cta'];
}
mysqli_free_result($resultbanco);

//datos del banco y cta segun el movimiento bancario
$resultbanco2 = mysqli_query($link, "select b.fldName as banco, c.fldNumber as nro_cta
from
tryBankMovement a, tryBank b, tryBankDetail c
where
a.pkyBankMovement = '$cod_mov_banco' and 
a.codBank = b.pkyBank and 
a.codBankAccount = c.pkyBankDetail;");
while ($row = mysqli_fetch_array($resultbanco2)) {
	$banco_mov = $row['banco'];
	$banco_cta_mov = $row['nro_cta'];
}
mysqli_free_result($resultbanco2);


//datos de la factura
$resultfactura = mysqli_query($link, "select fldNumber as nro_fac
from 
txsSalesLedger
where
pkySalesLedger = '$cod_factura';");
while ($row = mysqli_fetch_array($resultfactura)) {
	$numero_factura = $row['nro_fac'];
}
mysqli_free_result($resultfactura);


//datos del contrato
$mat_con = array();
$i = 1;
$resultcontrato = mysqli_query($link, "select a.pkySalesNoteVehicleContract as codigo, a.codVehicleContract as cod_cont, b.fldNumber as num_cont, a.fldAmount as monto
from slsSalesNoteVehicleContract a, vhcVehicleContract b 
where 
a.codVehicleContract = b.pkyVehicleContract and 
a.codSalesNote = '$codigo_orden';");	
while ($row = mysqli_fetch_array($resultcontrato)) {
	$mat_con [$i][1] = $row['codigo']; 
	$mat_con [$i][2] = $row['cod_cont']; 
	$mat_con [$i][3] = $row['num_cont']; 
	$mat_con [$i][4] = $row['monto']; 
	$i++;
}
$hay_contrato = mysqli_num_rows($resultcontrato);
mysqli_free_result($resultcontrato);
$fin_cont = $i - 1;

?>

<?php if($cabecera == 1 || $cabecera == 0) { //if cabecera 10 ?>

<table border="0" align="left" width="100%" cellpadding="5">
<tr><td><?php echo $mostrar_logo_reportes; ?><br/><a href="../../ModuleSales/VoucherSalesNote/index.php?pkySalesNote=<?php echo $cod_venta; ?>&showHeader=3&user=<?php echo $usuario; ?>" title="Nota de Entrega">NE</a>
</td><td align="right"><b>Fecha: <?php echo date("Y-m-d"); ?><br/>Hora: <?php echo date("H:i:s"); ?><br/>Usuario: <?php echo $usuario; ?></b>
</td></tr></table>
<?php if($cabecera == 1) { //if cabecera 1 ?>

<p><br /><center><font color="#000099" size="+1"><b>Nota de Venta</b></font></center></p>
<table border="0" cellpadding="2" align="center" width="100%">
<tr>
<td>  
    <table border="1" align="center" cellpadding="2" width="100%">
        <TR> 
        <TD width="25%"><b>Cod. Reg.: </b><?php echo $codigo_orden; ?></TD>
        <TD width="25%"><b>Nro. Doc.: </b><?php echo $numero_doc; ?></TD>
        <TD width="25%"><b>Moneda: </b><?php echo $moneda; ?></TD>
        <TD width="25%"><b>Fecha de Reg.: </b><?php echo $fecha_orden; ?></TD>
        </TR>
        <TR>
        <TD><b>Cliente: </b><?php echo $cliente; ?></TD>
        <TD><b>NIT: </b><?php echo $nit; ?></TD>
        <TD><b>Direcci&oacute;n: </b><?php echo $direccion; ?> (<?php echo $tipo_dir; ?>)</TD>
        <TD><b>Tel&eacute;fono: </b><?php echo $telef; ?> (<?php echo $tipo_tel; ?>)</TD>
        </TR>
        <TR>
        <TD><b>Celular: </b><?php echo $celu; ?> (<?php echo $tipo_cel; ?>)</TD> 
        <TD><b>Tipo: </b><?php echo $tipo_nota; ?></TD>
        <TD><b>Nota Pedido: </b><a href="../../ModuleSales/VoucherOrderNote/index.php?pkyOrderNote=<?php echo $cod_pedido; ?>&showPrice=1&user=<?php echo $usuario; ?>" title="Cotizacion y Nota de Pedido con Precio"><?php echo $cod_pedido; ?></a></TD>
        <TD><b>Asiento: </b><a href="../../ModuleAccounting/VoucherAccountEntry/index.php?pkyAccountEntry=<?php echo $cod_asiento; ?>&showCC=<?php echo $mostrar_asiento_cc; ?>&user=<?php echo $usuario; ?>" title="Asiento Contable"><?php echo $cod_asiento; ?></a>
		<table border="0" align="right"><tr><td>
		<?php if($muestra_asiento == 0) { ?>
			<a href="../../ModuleSales/VoucherSalesNote/index.php?pkySalesNote=<?php echo $cod_venta; ?>&printAccountEntry=1&user=<?php echo $usuario; ?>" title="Mostrar Asiento Contable" style="text-decoration:none; color:#0000FF; font-style:normal;"> + </a>
		<?php } else { ?>
			<a href="../../ModuleSales/VoucherSalesNote/index.php?pkySalesNote=<?php echo $cod_venta; ?>&printAccountEntry=0&user=<?php echo $usuario; ?>" title="Ocultar Asiento Contable" style="text-decoration:none; color:#0000FF; font-style:normal;"> - </a>
        <?php } ?>
		</td></tr></table>
		</TD>
        </TR>
        <TR>
        <TD><b>Cuenta x Cobrar: </b><a href="../../ModuleCollections/VoucherAccountsReceivable/index.php?pkyAccountsReceivable=<?php echo $cod_cxc; ?>&user=<?php echo $usuario; ?>" title="Nota de Cuenta por Cobrar"><?php echo $cod_cxc; ?></a></TD>
        <TD><b>Mov. de Caja: </b><a href="../../ModulePettyCash/VoucherPettyCashMovement/index.php?pkyPettyCashMovement=<?php echo $cod_mov_caja; ?>&user=<?php echo $usuario; ?>" title="Nota de Movimiento de Caja"><?php echo $cod_mov_caja; ?></a></TD>
        <TD><b>Mov. de Banco: </b><a href="../../ModuleTreasury/VoucherBankMovement/index.php?pkyBankMovement=<?php echo $cod_mov_banco; ?>&user=<?php echo $usuario; ?>" title="Nota de Movimiento Bancario"><?php echo $cod_mov_banco; ?></a> <?php echo $banco_mov; ?> <?php echo $banco_cta_mov; ?></TD>
        <?php if($cod_cheque != NULL) { ?> 
        <TD><b>Cheque: </b><a href="../../ModuleTreasury/VoucherCheck/index.php?pkyCheck=<?php echo $cod_cheque; ?>&user=<?php echo $usuario; ?>" title="Cheque"><?php echo $cod_cheque; ?></a> - <?php echo $nro_cheque; ?> - <?php echo $nom_banco; ?> (<?php echo $banco_cta; ?>) - <?php echo $nom_giro_cheque; ?></TD>
        <?php } else { ?>
        <TD><b>Cheque: </b><?php echo $cod_cheque; ?></TD>
        <?php } ?>
        </TR>
        <TR>
        <TD><b>Mov. de Mercader&iacute;a: </b><a href="../../ModuleInventory/VoucherItemMovement/index.php?pkyItemMovement=<?php echo $cod_mov_merc; ?>&showBatch=1&printAccountEntry=0&user=<?php echo $usuario; ?>" title="Nota de Movimiento de Mercaderia con Lotes"><?php echo $cod_mov_merc; ?></a></TD>
        <?php if($cod_factura != NULL) { ?> 
        <TD><b>Factura: </b><a href="../../ModuleTaxes/VoucherSalesLedger/index.php?pkySalesLedger=<?php echo $cod_factura; ?>&sheetSize=<?php echo $formato_factura; ?>&head=<?php echo $muestra_cabecera; ?>" title="Factura"><?php echo $cod_factura; ?></a> - <?php echo $numero_factura; ?></TD>
        <?php } else { ?>
        <TD><b>Factura: </b><?php echo $cod_factura; ?></TD>
        <?php } ?>
        <TD><b>Almac&eacute;n: </b><?php echo $almacen; ?></TD>
        <TD><b>Contexto: </b><?php echo $cod_contexto; ?> - <?php echo $contexto; ?></TD>
        </TR>
        <TR>
        <TD colspan="2"><b>Local Venta: </b><?php echo $local_venta; ?></TD>
        <TD colspan="2"><b>Vendedor: </b><a href="../../ModuleAgenda/VoucherPerson/index.php?pkyPerson=<?php echo $cod_vendedor; ?>&user=<?php echo $usuario; ?>" title="Persona"><?php echo $cod_vendedor; ?></a> - <?php echo $vendedor; ?></TD>
        </TR>
        <?php if($oculta_col_precio == 0) { //if oculta precio ?> 
        <TR>
        <TD><b>Desc. Parcial (%): </b><?php echo number_format($total_desc_porciento, $n_descuento); ?>%</TD>
        <TD><b>Desc. Parcial: </b><?php echo number_format($total_bruto * $total_desc_porciento / 100,$n_descuento); ?></TD>
        <TD><b>Desc. Global (%): </b><?php echo number_format($total_desc_porciento_global,$n_descuento); ?>%</TD>
        <TD><b>Desc. Global: </b><?php echo number_format($total_bruto * $total_desc_porciento_global / 100,$n_descuento); ?></TD>
        </TR>
        <TR>
        <TD colspan="2"><b>Total Bruto: </b><?php echo number_format($total_bruto, $n_decimales); ?></TD>
        <TD colspan="2"><b>Total Neto: </b><?php echo number_format($total_neto, $n_decimales); ?></TD>
        </TR>
        <?php }//fin if oculta precio ?>
        <TR>
        <TD colspan="4"><b>Glosa: </b><?php echo $glosa; ?></TD>
        </tr>
    </table>

</td>
<td valign="top" width="150">

    <table border="1" align="center" cellpadding="2" width="100%">
    <tr>
    <TD><b>Tipo de Cambio:</b></TD>
    </tr><tr>
    <TD align="center"><a href="../../ModuleAccounting/VoucherExchangeRate/index.php?pkyExchangeRate=<?php echo $cod_tc; ?>&user=<?php echo $usuario; ?>" title="Tipo de Cambio"><?php echo $cod_tc; ?></a> (<?php echo $tc_fecha; ?> - <?php echo $tc_hora; ?>)<br/ >
        <table border="0" cellpadding="2" align="center">
            <?php
            for($m = 1; $m <= $fin_m; $m++) {
            printf("<tr><td align='left'>1 %s</td>", $ma_tc [$m][1]);//moneda base
            printf("<td align='center'>%s</td>", ' = ');//letra a
            printf("<td align='left'>%s %s</td></tr>", number_format($ma_tc [$m][3],$n_tipocambio), $ma_tc [$m][2]);//moneda target y tasa
            //printf("<td align='right'>%s</td></tr>", number_format($ma_tc [$m][3],$n_tipocambio));//tasa
            }
            ?>
        </table>
    </TD>
    </tr>
	</table>
    
</td>
</tr>
</table>

<?php } //fin if cabecera 1 ?>


<?php if($cabecera == 0) { //if cabecera 0 ?>

<?php if($titulo_nota_venta_sin_cabecera == 1) { //if titulo cabecera ?>
<p><br /><center><font color="#000099" size="+1"><b>Nota de Venta</b></font></center></p>
<?php } ?>	

<table border="0" cellpadding="2" align="center" width="100%">
<tr>
<td>  
    <table border="1" align="center" cellpadding="2" width="100%">
        <TR> 
        <TD width="33%"><b>Cod. Reg.: </b><?php echo $codigo_orden; ?></TD>
        <TD width="33%"><b>Nro. Doc.: </b><?php echo $numero_doc; ?></TD>
        <TD width="33%"><b>Fecha de Reg.: </b><?php echo $fecha_orden; ?></TD>
        </TR>
        <TR>
        <TD><b>Cliente: </b><?php echo $cliente; ?></TD>
        <TD><b>Direcci&oacute;n: </b><?php echo $direccion; ?> (<?php echo $tipo_dir; ?>)</TD>
        <TD><b>Vendedor: </b><a href="../../ModuleAgenda/VoucherPerson/index.php?pkyPerson=<?php echo $cod_vendedor; ?>&user=<?php echo $usuario; ?>" title="Persona"><?php echo $cod_vendedor; ?></a> - <?php echo $vendedor; ?></TD>
        </TR>
        <?php if($oculta_col_precio == 0) { //if oculta precio2 ?> 
        <TR>
        <TD><b>Total Bruto: </b><?php echo number_format($total_bruto, $n_decimales); ?></TD> 
        <TD><b>Desc. Parcial: </b><?php echo number_format($total_bruto * $total_desc_porciento / 100,$n_descuento); ?></TD>
        <TD><b>Total Neto: </b><?php echo number_format($total_neto, $n_decimales); ?></TD>
        </TR>
        <?php }//fin if oculta precio2 ?>
        <TR>
        <TD colspan="4"><b>Glosa: </b><?php echo $glosa; ?></TD>
        </tr>
    </table>

</td>
<td valign="top" width="150">

    <table border="1" align="center" cellpadding="2" width="100%">
    <tr>
    <TD><b>Tipo de Cambio:</b></TD>
    </tr><tr>
    <TD align="center"><a href="../../ModuleAccounting/VoucherExchangeRate/index.php?pkyExchangeRate=<?php echo $cod_tc; ?>&user=<?php echo $usuario; ?>" title="Tipo de Cambio"><?php echo $cod_tc; ?></a> (<?php echo $tc_fecha; ?> - <?php echo $tc_hora; ?>)<br/ >
        <table border="0" cellpadding="2" align="center">
            <?php
            for($m = 1; $m <= $fin_m; $m++) {
            printf("<tr><td align='left'>1 %s</td>", $ma_tc [$m][1]);//moneda base
            printf("<td align='center'>%s</td>", ' = ');//letra a
            printf("<td align='left'>%s %s</td>", number_format($ma_tc [$m][3],$n_tipocambio), $ma_tc [$m][2]);//moneda target y tasa
            //printf("<td align='right'>%s</td></tr>", number_format($ma_tc [$m][3],$n_tipocambio));//tasa
            }
            ?>
        </table>
    </TD>
    </tr>
	</table>
    
</td>
</tr>
</table>

<?php } //fin if cabecera 0 ?>

<br />

<?php if($hay_contrato != 0) { //if contrato ?>

<table border="1" align="left" cellpadding="2" width="50%">
    <TR> 
    <TD width="60" align="center"><b>Cod. Contrato</b></TD>
    <TD width="60" align="center"><b>Contrato</b></TD>
    <TD width="100" align="center"><b>Monto</b></TD>
    </TR>
    <?php
    $color = 2;
    $suma_monto = 0;
	$i = 1;
	while($i <= $fin_cont) {
		$cod_contrato = $mat_con [$i][2];
		if($color % 2 == 0) { //if color
        printf("<tr BGCOLOR='#e2e7fa'><td align='center'><a href='../../ModuleVehicles/VoucherVehicleContract/index.php?pkyVehicleContract=$cod_contrato&codStatus=5' title='Contrato'>%s</a></td>", $mat_con [$i][2]);//cod contrato
        } else {
        printf("<tr><td align='center'><a href='../../ModuleVehicles/VoucherVehicleContract/index.php?pkyVehicleContract=$cod_contrato&codStatus=5' title='Contrato'>%s</a></td>", $mat_con [$i][2]);//cod contrato
        } //cierra if color
		printf("<td align='center'>%s</td>", $mat_con [$i][3]);//num contrato
        printf("<td align='right'>%s</td></tr>", number_format($mat_con [$i][4],$n_decimales));//monto
		$suma_monto = $suma_monto + $mat_con [$i][4];
		$color++;
		$i++;
	}
	?>
</table>
<table border="0" align="center" width="100%"><tr><td>&nbsp;</td></tr></table>
<?php } //fin if contrato ?>

<table border="1" align="center" cellpadding="2" width="100%">
    <thead>
    <TR> 
    <TD width="60" align="center"><b>Cod. Item</b></TD>
    <TD width="60" align="center"><b>Cod. Fab.</b></TD>
    <TD align="center"><b>Item</b></TD>
    <TD width="60" align="center"><b>Cant.</b></TD>
    <?php if($oculta_col_precio == 0) { //if oculta precio3 ?> 
    <TD width="90" align="center"><b>Precio</b></TD>
    <TD width="90" align="center"><b>Descuento %</b></TD>
    <TD width="90" align="center"><b>Descuento</b></TD>
    <TD width="90" align="center"><b>Total</b></TD>
     <?php } //fin if oculta precio3 ?> 
    </TR>
    </thead>
    <tbody class="marcafila">
    <?php
    $color = 2;
    $suma_cant = 0;
    $suma_precio = 0;
    $suma_desc = 0;
    $suma_total = 0;
    while ($row = mysqli_fetch_array($result2)) { //while
    
        if($color % 2 == 0) { //if color
        printf("<tr BGCOLOR='#e2e7fa'><td align='center'>%s</td>", $row['cod_item']);//cod item
        } else {
        printf("<tr><td align='center'>%s</td>", $row['cod_item']);//cod item
        } //cierra if color
		printf("<td align='center'>%s</td>", $row['cod_fabrica']);//cod fabrica
        printf("<td>%s</td>", $row['nombre']);//nombre item
        printf("<td align='right'>%s</td>", number_format($row['cantidad'],$n_cantidad));//cantidad
		
		if($oculta_col_precio == 0) { //if oculta precio4
        printf("<td align='right'>%s</td>", number_format($row['precio'],$n_decimales));//precio
        printf("<td align='right'>%s %s</td>", number_format($row['descuento'],$n_descuento),'%');//descuento %
		printf("<td align='right'>%s</td>", number_format($row['descuento'] * $row['precio'] * $row['cantidad'] / 100,$n_decimales));//descuento
        printf("<td align='right'>%s</td>", number_format($row['total'],$n_decimales));//total
		} //fin if oculta precio4
		echo '</tr>';
        $suma_cant = $suma_cant + $row['cantidad'];
        $suma_precio = $suma_precio + $row['precio'];
        $suma_desc = $suma_desc + $row['descuento'];
        $suma_total = $suma_total + $row['total'];
        
        $color++;
    }//fin while
	mysqli_free_result($result2);
	
	$suma_total_final = ($suma_total - ($suma_total * $total_desc_porciento_global / 100));
	
	//convierte el total en literal
	$letras=new NroEnLetra($suma_total_final,2);
	
	$mostrar_letras = ucfirst($letras->getLetra());
	
	$busca_espacio = substr($mostrar_letras,-6,1);
	if($busca_espacio == ' ') {
		$fin_letras = substr($mostrar_letras,-5);
		$mostrar_letras = substr($mostrar_letras,0,-5);
		$mostrar_letras = $mostrar_letras .'0'. $fin_letras;
	}
	$resultmoneda = mysqli_query($link, "select txtDescription as nom_moneda
	from actCurrency
	where
	pkyCurrency = '$cod_moneda';");
	while ($row = mysqli_fetch_array($resultmoneda)) {
		$nom_moneda_letras_tot = $row['nom_moneda'];
	}
	mysqli_free_result($resultmoneda);
	?>
    <?php if($oculta_col_precio == 0) { //if oculta precio5 ?> 
   	<tr BGCOLOR='#ffcccc'>
    <td colspan="7"><b>Total parcial</b></td>
    <td align="right"><b><?php echo number_format($suma_total, $n_decimales); ?></b></td></tr>
    <tr BGCOLOR='#ffcccc'>
    <td colspan="7"><b>Descuento Global</b></td>
    <!--<td align="right"><b><?php //echo number_format($total_desc_porciento_global,$n_descuento); ?></b></td>-->
    <td align="right"><b><?php echo number_format($suma_total * $total_desc_porciento_global / 100,$n_decimales); ?></b></td></tr>
    <tr BGCOLOR='#ffcccc'>
    <td colspan="7"><b>Total &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <?php echo $mostrar_letras; ?> <?php echo $nom_moneda_letras_tot; ?></b></td>
    <!--
    <td align="right"><b><?php echo number_format($suma_cant, $n_cantidad); ?></b></td>
    <td align="right"><b><?php echo number_format($suma_precio, $n_decimales); ?></b></td>
    <td align="right"><b><?php echo number_format($suma_desc, $n_descuento); ?></b></td>
    <td>&nbsp;</td>
    <td>&nbsp;</td>
    -->
    <td align="right"><b><?php echo number_format($suma_total_final, $n_decimales); ?></b></td></tr>
    <?php } //fin if oculta precio5 ?> 
</tbody>    
</table><br />
<?php
    if($enabled == 0){
				printf("<table border='0' align='center' cellpadding='2' width='600'><tr><td align='center'><font color='#FF0000' size='+1'>REGISTRO ANULADO</font></td></tr></table>");
			}
	if($authorized == 0){
				printf("<table border='0' align='center' cellpadding='2' width='600'><tr><td align='center'><font color='#FF0000' size='+1'>REGISTRO PENDIENTE DE AUTORIZACI&Oacute;N</font></td></tr></table>");
			}

	?>

<?php
if($muestra_asiento == 1) {//if muestra_asiento 1
	
	if($cod_asiento != NULL){//if cod_asiento
		$result3 = mysqli_query($link, "select a.pkyAccountEntry as cod_mov_det, a.fldTransactionNumber as nro_trans, a.fldDocumentNumber as nro_doc, a.fldDate as fecha, b.fldName as tipo, a.codExchangeRate as cod_tc, a.txtDescription as glosa, a.sysEnabled as enabled, a.sysAuthorized as authorized
		from actAccountEntry a, actAccountEntryType b
		where
		a.pkyAccountEntry = '$cod_asiento' and
		a.codType = b.pkyAccountEntryType;");
		while ($row = mysqli_fetch_array($result3)) {
		$cod_asiento2 = $row['cod_mov_det'];
		$nro_trans2 = $row['nro_trans'];
		$nro_doc2 = $row['nro_doc'];
		$fecha_asiento2 = $row['fecha'];
		$tipo_asiento2 = $row['tipo'];
		$cod_tc2 = $row['cod_tc'];
		$glosa2 = $row['glosa'];
		$glosa2 = nl2br($glosa2);
		$glosa2 = str_replace('\n','<br />',$glosa2);
		$enabled2 = $row['enabled'];
		$authorized2 = $row['authorized'];
		}
		mysqli_free_result($result3);
		
		$result6 = mysqli_query($link, "select a.pkyAccountEntryDetail as cod_asiento_det, a.codAccountEntry as cod_asiento, a.codAccount as cod_cuenta, b.fldName as nom_cuenta, a.fldDebit as debe, a.fldCredit as haber
		from actAccountEntryDetail a, actAccount b
		where
		a.codAccountEntry = '$cod_asiento2' and
		a.codAccount = b.pkyAccount 
		order by haber, cod_asiento_det;");
		
		if($muestra_cc == 1){
		$texto_asiento = '<a href="../../ModuleSales/VoucherSalesNote/index.php?pkySalesNote='.$cod_venta.'&printAccountEntry=1&rep=2&user='.$usuario.'" title="Asiento Contable, Sin Centros de Costo" style="text-decoration:none; color:#000099; font-style:normal;">Asiento Contable, Con Centros de Costo</a>';
		} else {
		$texto_asiento = '<a href="../../ModuleSales/VoucherSalesNote/index.php?pkySalesNote='.$cod_venta.'&printAccountEntry=1&rep=1&user='.$usuario.'" title="Asiento Contable, Con Centros de Costo" style="text-decoration:none; color:#000099; font-style:normal;">Asiento Contable</a>';
		}
		$control_vista_asiento = 1;
	} else {//else cod_asiento
		$texto_asiento = "Asiento Contable<br /><br /><table border='0' align='center' cellpadding='2' width='600'><tr><td align='center'><font color='#FF0000' size='+1'>NO EXISTE ASIENTO CONTABLE ASOCIADO A ESTE MOVIMIENTO</font></td></tr></table>";
		$enabled2 = 1;
		$authorized2 = 1;
		$control_vista_asiento = 0;
	}//fin if else cod_asiento
	
	
?>
<p>&nbsp;</p>
<p><center><font color="#000099"><b><?php echo $texto_asiento; ?></b></font></center></p>
<?php
if($control_vista_asiento == 1) {//if $control_vista_asiento = 1
?>
<table border="1" align="center" cellpadding="2" width="100%">
	<TR> 
	<TD width="25%"><b>Cod. Reg.: </b><?php echo $cod_asiento2; ?></TD>
    <TD width="25%"><b>Nro. Doc.: </b><?php echo $nro_doc2; ?></TD>
    <TD width="25%"><b>Moneda: </b><?php echo $nom_moneda_principal; ?></TD>
    <TD width="25%"><b>Fecha de Reg.: </b><?php echo $fecha_asiento2; ?></TD>
    </TR>
    <TR>
    <TD colspan="2"><b>Tipo de Asiento: </b><?php echo $tipo_asiento2; ?></TD>
    <TD colspan="2"><b>Nro. Transacci&oacute;n: </b><?php echo $nro_trans2; ?></TD>
    </TR>
    <TR>
    <TD colspan="4"><b>Glosa: </b><?php echo $glosa2; ?></TD>
    </tr>
</table>

<br />
<table border="1" align="center" cellpadding="2" width="100%">
 	<thead>
    <TR> 
    <TD align="center"><b>Cod.</b></TD>
    <TD align="center"><b>Cod. Asiento</b></TD>
    <TD align="center"><b>Cod. Cuenta</b></TD>
    <TD align="center"><b>Cuenta</b></TD>
    <TD align="center"><b>Debe</b></TD>
    <TD align="center"><b>Haber</b></TD>
    </TR>
    </thead>
    <tbody class="marcafila">
    <?php
    $color = 2;
	$suma_debe = 0;
	$suma_haber = 0;
	while ($row = mysqli_fetch_array($result6)) { //while 6
		$cod_detalle_ = $row['cod_asiento_det'];
		$cod_asiento_ = $row['cod_asiento'];//cod asiento
		$cod_cuenta_ = $row['cod_cuenta'];//cod cuenta
		$nom_cuenta_ = $row['nom_cuenta'];//nombre cuenta
		if($mi_cod_pais == 1) {
		$debe_ = $row['debe'];
		$haber_ = $row['haber'];
		}
		if($mi_cod_pais == 176) {
		$debe_ = round($row['debe'], $n_decimales);
		$haber_ = round($row['haber'], $n_decimales);
		}
			$result7 = mysqli_query($link, "select a.codCostCenter as cod_cc, b.fldName as nombre, b.codType as cod_tipo_cc, c.fldName as tipo_cc, a.fldPercent as porcentaje
			from
			actAccountEntryDetailCC a, actCostCenter b, actCostCenterType c
			where
			a.codAccountEntryDetail = '$cod_detalle_' and 
			a.codCostCenter = b.pkyCostCenter and 
			b.codType = c.pkyCostCenterType;");
			$matriz_cc = array();
			$c = 1;
			while ($row = mysqli_fetch_array($result7)) {
			$matriz_cc [$c][1] = $row['cod_cc'];
			$matriz_cc [$c][2] = $row['nombre'];
			$matriz_cc [$c][3] = $row['porcentaje'];
			$matriz_cc [$c][4] = $row['porcentaje'] / 100 * $debe_;
			$matriz_cc [$c][5] = $row['porcentaje'] / 100 * $haber_;
			$matriz_cc [$c][6] = $row['cod_tipo_cc'];
			$matriz_cc [$c][7] = $row['tipo_cc'];
			$c++;
			}
			mysqli_free_result($result7);
			$fin_cc = $c - 1;
			
		if($color % 2 == 0) { //if color
		printf("<tr BGCOLOR='#e2e7fa'><td align='center'>%s</td>", $cod_detalle_);//cod 
		} else {
		printf("<tr><td align='center'>%s</td>", $cod_detalle_);//cod
		} //cierra if color
		printf("<td align='center'>%s</td>", $cod_asiento_);//cod asiento
		printf("<td align='center'>%s</td>", $cod_cuenta_);//cod cuenta
		if($muestra_cc == 0) {//if muestra_cc = 0
			if($haber_ == 0) { //if identado haber
				printf("<td align='left'>%s</td>", $nom_cuenta_);//nombre cuenta
			} else {
				printf("<td align='left'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;%s</td>", $nom_cuenta_);//nombre cuenta
			} //fin if identado haber
		} else {
			$sum_porc_cc = 0;
			$sum_cc = 0;
			if($haber_ == 0) { //if identado haber2
				echo "<td align='left'>" .$nom_cuenta_. "<br/>";
			} else {
				echo "<td align='left'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;" .$nom_cuenta_. "<br/>";
			} //fin if identado haber2
			$fila_titulo_cc = 0;
			echo "<table border='0' align='left' cellpadding='2'>";
			for($c = 1; $c <= $fin_cc; $c++){//for $c
				//si el cod_tipo es diferente de 0 para mostrar el titulo en cada grupo de cc
				if($fila_titulo_cc != $matriz_cc [$c][6]){
					echo "<tr><td colspan='4'><b>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;" .$matriz_cc [$c][7]. "</b></td></tr>";
					$fila_titulo_cc = $matriz_cc [$c][6];
				}
				echo "<tr><td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;" .$matriz_cc [$c][1]. "</td>";
				echo "<td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;" .$matriz_cc [$c][2]. "</td>";
				echo "<td align='right'>&nbsp;&nbsp;&nbsp;&nbsp;" .number_format($matriz_cc [$c][3], $n_descuento). "%" . "</td>";
				if($matriz_cc [$c][4] != 0){
					echo "<td align='right'>&nbsp;&nbsp;&nbsp;&nbsp;" .number_format($matriz_cc [$c][4], $n_decimales). "</td>";
					$sum_cc = $sum_cc + $matriz_cc [$c][4];
				} else {
					echo "<td align='right'>&nbsp;&nbsp;&nbsp;&nbsp;" .number_format($matriz_cc [$c][5], $n_decimales). "</td>";
					$sum_cc = $sum_cc + $matriz_cc [$c][5];
				}
				echo "</tr>";
				$sum_porc_cc = $sum_porc_cc + $matriz_cc [$c][3];
				if($fila_titulo_cc != $matriz_cc [$c+1][6]){
					echo "<tr><td colspan='2'>&nbsp;</td>";
					echo "<td align='right'><HR width='90%' align='right'>" . "</td>";
					echo "<td align='right'><HR width='90%' align='right'>" . "</td>";
					echo "<tr><td colspan='2'>&nbsp;</td>";
					echo "<td align='right'>&nbsp;&nbsp;&nbsp;&nbsp;" .number_format($sum_porc_cc, $n_descuento). "%" . "</td>";
					echo "<td align='right'>&nbsp;&nbsp;&nbsp;&nbsp;" .number_format($sum_cc, $n_decimales). "</td></tr>";
					$sum_cc = 0;
					$sum_porc_cc = 0;
				}
			}//fin for $c
			
			echo "</table></td>";
		}//fin if muestra_cc = 0
		printf("<td align='right'>%s</td>", number_format($debe_, $n_decimales));//debe
		printf("<td align='right'>%s</td></tr>", number_format($haber_, $n_decimales));//haber
		
		$suma_debe = $suma_debe + $debe_;
		$suma_haber = $suma_haber + $haber_;
		$color++;
	}//fin while 6
	mysqli_free_result($result6);
	
	//convierte el total en literal
	$letras=new NroEnLetra($suma_debe,2);
	
	$mostrar_letras = ucfirst($letras->getLetra());
	
	$busca_espacio = substr($mostrar_letras,-6,1);
	if($busca_espacio == ' ') {
		$fin_letras = substr($mostrar_letras,-5);
		$mostrar_letras = substr($mostrar_letras,0,-5);
		$mostrar_letras = $mostrar_letras .'0'. $fin_letras;
	}
	?>
	<tr BGCOLOR='#ffcccc'><td colspan="4"><b>Total &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <?php echo $mostrar_letras; ?> <?php echo $nom_moneda_letras; ?></b></td>
    <td align="right"><b><?php echo number_format($suma_debe, $n_decimales); ?></b></td>
    <td align="right"><b><?php echo number_format($suma_haber, $n_decimales); ?></b></td>
    </tr>
</tbody>    
</table>
<br />

<?php
    if($enabled2 == 0){
				printf("<table border='0' align='center' cellpadding='2' width='600'><tr><td align='center'><font color='#FF0000' size='+1'>ASIENTO ANULADO</font></td></tr></table>");
			}
	if($authorized2 == 0){
				printf("<table border='0' align='center' cellpadding='2' width='600'><tr><td align='center'><font color='#FF0000' size='+1'>ASIENTO PENDIENTE DE AUTORIZACI&Oacute;N</font></td></tr></table>");
			}
	} //fin if $control_vista_asiento = 1
}//fin if muestra_asiento 1
?>

<p>&nbsp;</p>
<br /><br /><br />
<table border="0" align="center" cellpadding="2" width="90%">
<tr>
<td align="center">----------------------------------------</td>
<td align="center">----------------------------------------</td>
<td align="center">----------------------------------------</td>
<td align="center">----------------------------------------</td>
</tr><tr>
<td align="center">Elaborado por: <?php echo $usuario_reg; ?></td>
<td align="center"><?php echo $firma_contabilidad; ?></td>
<td align="center"><?php echo $firma_gerencia; ?></td>
<td align="center"><?php echo $firma_interesado; ?></td>
</tr><tr>
<td align="left">Nombre:__________________________</td>
<td align="left">Nombre:__________________________</td>
<td align="left">Nombre:__________________________</td>
<td align="left">Nombre:__________________________</td>
</tr><tr>
<td align="left">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;C.I.:__________________________</td>
<td align="left">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;C.I.:__________________________</td>
<td align="left">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;C.I.:__________________________</td>
<td align="left">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;C.I.:__________________________</td>
</tr>
</table>
<?php } //fin if cabecera 10 ?>

<?php if($cabecera == 3) { //if cabecera 3 ?>

<table border="0" align="left" width="100%" cellpadding="2">
<tr>
<td width="30%"><img src="../../Images/logo.jpg" alt="Logo" /></td>
<td width="40%" align="center"><font color="#000099" size="+1"><b>Nota de Entrega</b></font></td>
<td width="30%">&nbsp;</td>
</tr>
</table>
<br />
<table border="1" cellpadding="2" align="center" width="100%">
	<?php if($datos_nota_entrega == 0) { //if datos 0 ?>
    <TR> 
    <TD width="30%"><b>Fecha: </b></TD><TD width="70%">&nbsp;</TD>
    </TR>
    <TR>
    <TD width="30%"><b>Marca: </b></TD><TD width="70%">&nbsp;</TD>
    </TR>
    <TR>
    <TD width="30%"><b>Proceso: </b></TD><TD width="70%">&nbsp;</TD>
    </TR>
    <TR>
    <TD width="30%"><b>Lugar de entrega: </b></TD><TD width="70%">&nbsp;</TD>
    </TR>
	<?php } //fin if datos 0?>

	<?php if($datos_nota_entrega == 1) { //if datos 1 ?>
    <TR> 
    <TD width="30%"><b>C&oacute;digo: </b></TD><TD width="70%"><?php echo $codigo_orden; ?></TD>
    </TR>
	<TR> 
    <TD width="30%"><b>Cliente: </b></TD><TD width="70%"><?php echo $cliente; ?></TD>
    </TR>
	<TR> 
    <TD width="30%"><b>Fecha: </b></TD><TD width="70%"><?php echo $fecha_orden; ?></TD>
    </TR>
    <TR>
	<TD width="30%"><b>Vendedor: </b></TD><TD width="70%"><?php echo $vendedor; ?></TD>
    </TR>
    <TR>
    <TD width="30%"><b>Observaciones/Aclaraciones: </b></TD><TD width="70%">&nbsp;</TD>
    </TR>
	<?php } //fin if datos 1?>
</table>
	<?php if($datos_nota_entrega == 0) { $nombre_item = 'Item'; }	//era Equipo
		  if($datos_nota_entrega == 1) { $nombre_item = 'Item'; }
	?>
	
<p><font color="#000099"><b>Lista detallada de los <?php echo $nombre_item; ?>s</b></font></p>

<table border="1" align="center" cellpadding="2" width="100%">
 	<thead>
    <TR> 
    <TD align="center"><b>No.</b></TD>
    <TD align="center"><b><?php echo $nombre_item; ?></b></TD>
	<?php if($datos_nota_entrega == 0) { //if datos 0 ?>
    <TD align="center"><b>Marca</b></TD>
    <TD align="center"><b>Modelo</b></TD>
    <TD align="center"><b>Serie</b></TD>
	<?php } //fin if datos 0?>
	<?php if($datos_nota_entrega == 1) { //if datos 1 ?>
    <TD align="center"><b>Unidad</b></TD>
    <?php } //fin if datos 1?>
    <TD align="center"><b>Cantidad</b></TD>
    </TR>
    </thead>
    <tbody class="marcafila">
    <?php
    $color = 2;
	$num = 1;
	
	while ($row = mysqli_fetch_array($result2)) { //while 62
		
		$cod_item_det = $row['cod_item'];
		$cantidad_det = $row['cantidad'];
		$item_det = $row['nombre'];
		$cod_marca = $row['cod_marca'];
		$cod_modelo = $row['cod_modelo'];
		$cod_umenor = $row['u_menor'];
		
		if($muestra_id_lote == 0) { //if lotes
			$id_lote = '';
		} else {
		//lotes
		$resultlote = mysqli_query($link, "select a.fldID as id_lote
from 
invItemMovementDetailBatch a, invItemMovementDetail b
where 
a.codItemMovementDetail = b.pkyItemMovementDetail and 
b.codItem = '$cod_item_det' and 
a.codItemMovement = '$cod_mov_merc';");
		$mat_lote = array();
		$l = 1;
		while ($row = mysqli_fetch_array($resultlote)) { //while lote
			$mat_lote[$l] = $row['id_lote'];
			if($l == 1) {
				$id_lote = $mat_lote[$l]; 
			} else {
				$id_lote = $id_lote.', '.$mat_lote[$l];
			}
			$l++;
		}// fin while lote
		mysqli_free_result($resultlote);
		} //fin if lote
		
		//marca
		$resultmarca = mysqli_query($link, "select fldName as marca
from 
invBrand
where
pkyBrand = '$cod_marca';");
while ($row = mysqli_fetch_array($resultmarca)) {
	$marca = $row['marca'];
}
mysqli_free_result($resultmarca);

	//modelo
		$resultmodelo = mysqli_query($link, "select fldName as modelo
from 
invBrandModel
where
pkyBrandModel = '$cod_modelo';");
while ($row = mysqli_fetch_array($resultmodelo)) {
	$modelo = $row['modelo'];
}
mysqli_free_result($resultmodelo);

//unidad menor
$resultumenor = mysqli_query($link, "select fldName as u_menor
from 
invStorageUnit
where
pkyStorageUnit = '$cod_umenor';");
while ($row = mysqli_fetch_array($resultumenor)) {
	$u_menor = $row['u_menor'];
}
mysqli_free_result($resultumenor);
		
		if($color % 2 == 0) { //if color
		printf("<tr BGCOLOR='#e2e7fa'><td align='center'>%s</td>", $num);//numero 
		} else {
			printf("<tr><td align='center'>%s</td>", $num);//numero
		} //cierra if color
		
		printf("<td align='left'>%s</td>", $item_det);//item
		if($datos_nota_entrega == 0) { //if datos 0
		printf("<td align='center'>%s</td>", $marca);//marca
		printf("<td align='center'>%s</td>", $modelo);//modelo
		printf("<td align='center'>%s</td>", $id_lote);//lote
		} //fin if datos 0
		if($datos_nota_entrega == 1) { //if datos 1
		printf("<td align='center'>%s</td>", $u_menor);//unidad menor
		} //fin if datos 1
		printf("<td align='right'>%s</td></tr>", number_format($cantidad_det, $n_decimales));//cantidad
		
		$num++;
		$color++;
	}//fin while 62
	mysqli_free_result($result2);
?>
</tbody>
</table>
<br />

<table border="1" cellpadding="2" align="center" width="100%">
<tr>
<td><b>NOTA: </b><?php echo $glosa; ?></td>
</tr>
</table>
<br />

<table border="1" cellpadding="2" align="center" width="100%">
<tr>
<td colspan="2" align="center" width="50%"><b>RECIB&Iacute; CONFORME</b></td><td colspan="2" align="center" width="50%"><b>ENTREGU&Eacute; CONFORME</b></td>
</tr>
<tr>
<td width="10%"><b>Nombre:</b></td><td width="40%">&nbsp;</td><td width="10%"><b>Nombre:</b></td><td width="40%">&nbsp;</td>
</tr>
<tr>
<td><b>C.I.:</b></td><td>&nbsp;</td><td><b>C.I.:</b></td><td>&nbsp;</td>
</tr>
<tr>
<td><b>Empresa:</b></td><td><?php echo $cliente; ?></td><td><b>Empresa:</b></td><td><?php echo $nombre_empresa; ?></td>
</tr>
<tr>
<td><b>Firma:</b></td><td><br /><br /><br /><br /></td><td><b>Firma:</b></td><td><br /><br /><br /><br /></td>
</tr>
</table>
<?php } //fin if cabecera 3 ?>

</body>
</html>
